parent
Description
Optional. An optional HTML reference used as a menu parentUsage
parent?: HTMLElement;
Example
<script setup>
import { ref } from "vue";
const menu1 = ref(null);
</script>
<template>
<Button type="primary" :onclick="ev => menu1 = ev.target">Click me (bottom menu)</Button>
<Portal v-if="menu1">
<Menu :options="options" :parent="menu1" :onclick="clicked"></Menu>
</Portal>
</template>
Related article: Setting the parent of Menu
Related sample: Menu basic

Skip to main content

parent

Description

Optional. An optional HTML reference used as a menu parent

Usage

parent?: HTMLElement;

Example

import { useState } from "react";

function Example() {
const [menu1, setMenu1] = useState<HTMLElement | null>(null);

return (
<>
<Button type="primary" onClick={ev => setMenu1(ev.currentTarget as HTMLElement)}>
Click me (bottom menu)
</Button>

{menu1 && (
<Portal>
<Menu options={options} parent={menu1} onClick={clicked} />
</Portal>
)}
</>
);
}

Related article: Setting the parent of Menu

Related sample: Menu basic